﻿using Hotline.Configurations;
using XF.Domain.Authentications;
using XF.Domain.Dependency;

namespace Hotline.Authentications;

public class SessionContextProvider : ISessionContextProvider, IScopeDependency
{
    public ISessionContext SessionContext { get; set; }

    public SessionContextProvider(ISessionContext sessionContext)
    {
        SessionContext = sessionContext;
    }

    public void Switch(string key)
    {
        SessionContext = new ProvinceSessionContext(new CityProvinceConfiguration
        {
            UserId = "123",
            UserName = "abc"
        });
    }
}